Subject: Re: 'C compiler cannot create executables' on Darwin
To: David Hopper <>
From: MLH <>
List: tech-pkg
Date: 12/23/2003 15:22:59
> Try updating to libtool-1.5nb2 per pkg/22810.  I did this and was able to
> finally build and install fontconfig, just now.
> I'll be compiling more against this particular libtool-1.5nb2 tonight-- even
> if it's not supposed to be in-tree yet-- mainly because I don't really have
> anything to lose, and it appears to work.
> --David

=> Checksum OK for gettext-0.11.5.tar.gz.
===> Extracting for gettext-lib-0.11.5nb2
===> Required installed package libtool-base>=1.4.20010614nb16:
libtool-base-1.5nb2 found
===> Patching for gettext-lib-0.11.5nb2
===> Applying pkgsrc patches for gettext-lib-0.11.5nb2
===> Overriding tools for gettext-lib-0.11.5nb2
===> Buildlinking for gettext-lib-0.11.5nb2
===> Configuring for gettext-lib-0.11.5nb2
configure: WARNING: If you wanted to set the --build type, don't use --host.
    If a cross compiler is detected then cross compile mode will be used.
checking for a BSD compatible install... /usr/bin/install -c -o root -g wheel
checking whether build environment is sane... yes
checking for mawk... /usr/bin/awk
checking whether bmake sets ${MAKE}... yes
checking for powerpc-apple-darwin-gcc... gcc
checking for C compiler default output... configure: error: C compiler cannot
create executables
*** Error code 77

bmake: stopped in /usr/pkgsrc/devel/gettext-lib
*** Error code 1

$ pkg_info | grep libtool
libtool-base-1.5nb2 Generic shared library support script (the script itself)
libtool-info-1.5nb2 Generic shared library support script - info pages
libtool-1.5nb2      Generic shared library support script